using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;

namespace AIStudio.Wpf.DiagramDesigner
{
    public class StraightLinePathFinder : IPathFinder
    {


        public List<PointInfoBase> UpdateConnectionPoints(IDiagramViewModel diagramViewModel, Point sourceA, Point sourceB, FullyCreatedConnectorInfo sourceConnectorInfo, ConnectorInfoBase sinkConnectorInfo)
        {
            var area = new Rect(sourceA, sourceB);
            var connectionPoints = PointInfoBase.ToList(new List<Point>()
                                   {

                                       new Point(sourceA.X  <  sourceB.X ? 0d : area.Width, sourceA.Y  <  sourceB.Y ? 0d : area.Height ),
                                       new Point(sourceA.X  >  sourceB.X ? 0d : area.Width, sourceA.Y  >  sourceB.Y ? 0d : area.Height)
                                   });

            return connectionPoints;
        }

        public List<Point> GetConnectionLine(IDiagramViewModel diagramViewModel, ConnectorInfo source, ConnectorInfo sink, bool showLastLine, bool sourceInnerPoint = false)
        {
            throw new NotImplementedException();
        }

        public List<Point> GetConnectionLine(IDiagramViewModel diagramViewModel, ConnectorInfo source, Point sinkPoint, ConnectorOrientation preferredOrientation, bool showLastLine, bool isInnerPoint = false)
        {
            throw new NotImplementedException();
        }


    }
}
